%define pkg_name        PAR
%define pkg_version     0.973
%define rpm_pkg_version 0.97_3
%define rpm_pkg_release 1.n0i.17

Summary:       Perl Archive Toolkit
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SM/SMUELLER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Archive::Zip) >= 1
BuildRequires: perl(AutoLoader) >= 5.62
BuildRequires: perl(Compress::Zlib) >= 1.3
BuildRequires: perl(Crypt::OpenPGP)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(File::Temp) >= 0.05
BuildRequires: perl(Module::Signature)
BuildRequires: perl(PAR::Dist) >= 0.21


%description
PAR is a toolkit to use perl scripts and modules stored inside compressed
".par" files.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc AUTHORS ChangeLog README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.97_3-1.n0i.17.0.973
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.973

* Wed Jun 21 2006 Marius Feraru <altblue@n0i.net> - 0.94_1-1.n0i.16.0.941
- version 0.941

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 0.94-1.n0i.15
- version 0.94

* Sun May 21 2006 Marius Feraru <altblue@n0i.net> - 0.93-1.n0i.14
- version 0.93

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.91-1.n0i.13
- version 0.91

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 0.90-1.n0i.12
- version 0.90

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 0.89-1.n0i.11
- version 0.89
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius Feraru <altblue@n0i.net> 0:0.87-1.n0i.10
- automatic rebuild (perl 5.8.6)

* Mon Jan 31 2005 Marius Feraru <altblue@n0i.net> 0:0.87-1.n0i.9
- version 0.87

* Wed Jan 05 2005 Marius Feraru <altblue@n0i.net> 0:0.86-1.n0i.8
- version 0.86

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.85-2.n0i.7
- automatic rebuild (perl 5.8.6)
- no dependencies are to be computed based on files in %%docdir

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:0.85-2.n0i.6
- version 0.85
- updated prerequisites

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.80-1.n0i.5
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.80-1.n0i.4
- automatic rebuild

* Tue Mar 23 2004 Marius Feraru <altblue@n0i.net> 0:0.80-1.n0i.3
- version 0.80
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Sat Feb 07 2004 Marius FERARU <altblue@n0i.net> 0:0.79-1.n0i.2
- rebuild dropping Tk dependencies

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.79-0.n0i.1
- version 0.79
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.74-0.n0i
- version 0.74
